<?php
require_once(CLASS_PATH."presentation/MonSmarty_classe.php");	
	abstract class Controler {
		
		protected $parametres;
		protected $fichier;	
		protected $monSmarty;	
				
		public function __construct() {
			$this->parametres = array();
			$this->fichier = array();
			$this->monSmarty=new MonSmarty();
		}
		
		public function execute($action,$params,$fichier) {
			$this->parametres = $params;
			$this->fichier = $fichier;
			$this->$action();
		}
		
		public function refresh()
		{
			header("Location: ".$_SERVER["HTTP_REFERER"]);
  		}

		
		abstract protected function create();
		abstract protected function read();
		abstract protected function update();
		abstract protected function delete();
		
	}

?>