<?php
//require_once '../../../config/inc.config.php';
require_once CONTROLER_PATH.'Controler_classe.php';
require_once MODEL_PATH.'gestionBD/GestionBDUser_classe.php';

class ControlerUser extends Controler
{
	private $gestionBDUser;

	public function __construct()
	{
		parent::__construct();
		$this->gestionBDUser = new GestionBDUser();
	}

	public function create()
	{
		if (isset($this->parametres['email']) && isset($this->parametres['password']))
		{
			$email = $this->parametres['email'];
			$password = $this->parametres['password'];
			$this->gestionBDUser->createUser($email,$password);
			$this->refresh();
		}
	}

	public function read()
	{
		if (isset($this->parametres['email']))
		{
			$email = $this->parametres['email'];
			$user=$this->gestionBDUser->getUserByEmail($email);
			echo $user;
		}
		else
		{
			$users=$this->gestionBDUser->getAllUsers();
			$this->monSmarty->assign("users",$users);
			$this->monSmarty->display("bo/user/listerUsers.tpl");
		}
	}

	public function update()
	{
		if (isset($this->parametres['affiche']) && isset($this->parametres['email']))
		{
			$email = $this->parametres['email'];
			$user= $this-> gestionBDUser->getUserByEmail($email);
			$this->monSmarty->assign("user",$user);
			$this->monSmarty->display("bo/user/modifierUser.tpl");
		}
		else
		{
			if (isset($this->parametres['email']) && isset($this->parametres['password']))
			{
				$email = $this->parametres['email'];
				$password = $this->parametres['password'];
				$this->gestionBDUser->updateUser($email,$password);
				$users=$this->gestionBDUser->getAllUsers();
				$this->monSmarty->assign("users",$users);
				$this->monSmarty->display("bo/user/listerUsers.tpl");
			}
		}
	}
	public function delete()
	{
		if (isset($this->parametres['email']))
		{
			$email = $this->parametres['email'];
			$this->gestionBDUser->delUserByEmail($email);
			$this->refresh();
		}
	}
}
?>